import Button from './Index';
import Space from '../../Layout/Space/Index'
export default {
  title: 'Component/Base/Button',
  tags: ['autodocs'],
  component: Button
}

export const Default = {
  args: {
    primary: true,
    label: 'Button',
  },
  render: () => {
    return (
      <>
        <h2 style={{ fontFamily: "Poppins-Medium",color: 'white' }}>Button Size</h2>
        <Space>
          <Button size={"sm"}>Confirm </Button>
          <Button size={"md"}>Confirm</Button>
          <Button size={"lg"}>Confirm</Button>
        </Space>
        <h2 style={{ fontFamily: "Poppins-Medium",color: 'white' }}>Button Loader</h2>
        <Space>
          <Button size={"sm"} loading={true}>Confirm</Button>
          <Button size={"md"} loading={true}>Confirm</Button>
          <Button size={"lg"} loading={true}>Confirm</Button>
        </Space>
        <h2 style={{ fontFamily: "Poppins-Medium",color: 'white' }}>Button Disabled</h2>
        <Space>
          <Button size={"sm"} disabled={true}>Confirm</Button>
          <Button size={"md"} disabled={true}>Confirm</Button>
          <Button size={"lg"} disabled={true}>Confirm</Button>
        </Space>
      </>
    )
  }
};