import PropTypes from 'prop-types';

const Input = ({ ...inputPprops }) => {


    return (
        <input {...inputPprops} />
    )
}

export default Input;


Input.PropTypes = {
    onChange: PropTypes.func.isRequired,
    type: PropTypes.string,
    value: PropTypes.string.isRequired,
    placeholder: PropTypes.string
}